build: More meson version fixes

The "install arg in configure_file" from 0.50.0 was still being used in
other places. Make sure to remove its use completely to support meson
0.49.0 as required in the top-level meson.build.

WARNING: Project specifies a minimum meson_version '>= 0.49.0' but uses features which were added in newer versions:
 * 0.50.0: {'install arg in configure_file'}

Follow-up on b6c23eb2
6 jobs for wip/hadess/meson-version-follow-up in 3 minutes and 17 seconds (queued for 7 seconds)
Status Name Job ID Coverage
  Build
passed build #1402949

00:00:46

 
  Test
passed test #1402950

00:02:31

 
  Manual
manual asan #1402951
asan allowed to fail manual
manual msan #1402954
allowed to fail manual
manual tsan #1402952
allowed to fail manual
manual ubsan #1402953
allowed to fail manual